#ifdef KITSCHY_DEBUG_MEMORY
#include "debug_memorymanager.h"
#endif

#ifdef _WIN32
#include "windows.h"
#endif

#include "stdio.h"
#include "math.h"
#include "stdlib.h"
#include "string.h"

#include "GL/gl.h"
#include "SDL.h"
#include "SDL_mixer.h"

#include "BList.h"
#include "Symbol.h"
#include "2DCMC.h"
#include "auxiliar.h"
#include "GLTile.h"
#include "2DCMC.h"
#include "keyboardstate.h"
#include "randomc.h"
#include "VirtualController.h"

#include "GLTManager.h"
#include "SoundManager.h"
#include "SFXManager.h"
#include "MusicManager.h"
#include "KObject.h"
#include "Knightmare.h"
#include "KnightmareApp.h"

#include "Binterface.h"

int KnightmareApp::gamestart_cycle(KEYBOARDSTATE *k)
{
	if (m_state_cycle==0) {
		m_game = new Knightmare(m_current_level,m_sfx_volume,m_music_volume,m_GLTM,m_SFXM);
		m_MusicM->music_play(0, "levelstart", m_music_volume, 0);		
	}


	if (m_state_cycle > 300 || 
		keyPress(KKEY_QUIT,-1,k) ||
    	keyPress(KKEY_FIRE,-1,k)) {
		if (m_n_players==1) return STATE_GAME;

		return STATE_TEST;
	}

	return STATE_GAMESTART;
}

void KnightmareApp::gamestart_draw(void)
{
	// TODO: test what level we're in and display different texts/images based on that
	

	glClearColor(0, 0, 0, 1);
	glClear(GL_COLOR_BUFFER_BIT|GL_DEPTH_BUFFER_BIT);
		
	// image
	// m_GLTM->get("interlevel/stage1")->draw(280, 150, 1, 1, 1);
	m_GLTM->get("interlevel/stage1")->draw(170, 50, 1, 0, 1);
	// text
	Binterface::print_center("Dryad forest", m_font32, 320,300);
	Binterface::print_center("Dryad forest", m_font32, 321,301, 0, 0, 1, 0.3);
	
	// small story thingie
	Binterface::print_center("And so the quest to rescue Aphrodite begins,", m_font16, 320,330);
	Binterface::print_center("through all the dangers of the forest...", m_font16, 320,350);

}
